Simplified XF 1.1.0

Public Member Functions | List of all members
interface::XFEventQueue Class Referenceabstract

Interface to be implemented by the event queue. More...

`#include <eventqueue.h>`

Inheritance diagram for interface::XFEventQueue:
Collaboration diagram for interface::XFEventQueue:

## Public Member Functions
virtual bool | empty () const =0
| Returns true if no event is in the queue. More...
virtual bool | push (const XFEvent *pEvent, bool fromISR=false)=0
| Pushes the given event onto the queue. More...
virtual const XFEvent * | front ()=0
| Returns pointer to next event to pop. More...
virtual void | pop ()=0
| Pops the next event from the queue. More...
virtual bool | pend ()=0
| Wait for the next event to arrive. Returns true if an event is in the queue. More...

## Detailed Description

Interface to be implemented by the event queue.

## Member Function Documentation

## ◆ empty()

virtual bool interface::XFEventQueue::empty | ( |  | ) | const
| pure virtual

Returns true if no event is in the queue.

Implemented in XFEventQueue, and XFEventQueue.

## ◆ front()

virtual const XFEvent * interface::XFEventQueue::front | ( |  | ) |
| pure virtual

Returns pointer to next event to pop.

Implemented in XFEventQueue, and XFEventQueue.

## ◆ pend()

virtual bool interface::XFEventQueue::pend | ( |  | ) |
| pure virtual

Wait for the next event to arrive. Returns true if an event is in the queue.

Implemented in XFEventQueue, and XFEventQueue.

## ◆ pop()

virtual void interface::XFEventQueue::pop | ( |  | ) |
| pure virtual

Pops the next event from the queue.

Implemented in XFEventQueue, and XFEventQueue.

## ◆ push()

virtual bool interface::XFEventQueue::push | ( | const XFEvent * | pEvent,
|  | bool | fromISR = `false`
| ) |  |
| pure virtual

Pushes the given event onto the queue.

Implemented in XFEventQueue, and XFEventQueue.

The documentation for this class was generated from the following file:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/src/simplified/xf/include/xf/interface/eventqueue.h